0%

Your Device isn't Compatible with this version

Your Device isn't Compatible with this version
Sign in
Step 1

The racegeek a10 app is broadly compatible with Android devices. 

The only requirements are:

  • Device is running full version of Android and not a manufacturer specific version.  This can be the case for some low cost devices.
  • The device Android version minimum is Android 8.0 (API 26).  This is a requirement of Google Play store not the racegeek app itself.
  • The device has a camera and gps

 Thats it.

0%
Step 1
0%
Give feedback on this Step
Show and add comments
0%
Step 1
0%
Give feedback on this Step
Show and add comments